aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Mokrejs <mmokrejs@gentoo.org>2010-11-27 13:49:01 +0100
committerMartin Mokrejs <mmokrejs@gentoo.org>2010-11-27 13:49:01 +0100
commitda6f848c97a17ad67a317dfd88ad0687d1f92a08 (patch)
treee862eb2d99310b3de17a7c1bc4084c4d0f1d6636 /sci-biology/gbrowse/files
parentVersion bump per bug #311857, added description and longdescription to metadata (diff)
downloadsci-da6f848c97a17ad67a317dfd88ad0687d1f92a08.tar.gz
sci-da6f848c97a17ad67a317dfd88ad0687d1f92a08.tar.bz2
sci-da6f848c97a17ad67a317dfd88ad0687d1f92a08.zip
Version bump and lots of ebuild improvements, it works for me now
Diffstat (limited to 'sci-biology/gbrowse/files')
-rw-r--r--sci-biology/gbrowse/files/GBrowseInstall.pm.patch13
-rwxr-xr-xsci-biology/gbrowse/files/gbrowse-slave.default12
-rwxr-xr-xsci-biology/gbrowse/files/gbrowse-slave.init.d94
-rw-r--r--sci-biology/gbrowse/files/gbrowse.conf.vhosts.d26
4 files changed, 145 insertions, 0 deletions
diff --git a/sci-biology/gbrowse/files/GBrowseInstall.pm.patch b/sci-biology/gbrowse/files/GBrowseInstall.pm.patch
new file mode 100644
index 000000000..e6163a732
--- /dev/null
+++ b/sci-biology/gbrowse/files/GBrowseInstall.pm.patch
@@ -0,0 +1,13 @@
+--- GBrowse-2.03/install_util/GBrowseInstall.pm.ori 2010-11-27 12:01:58.000000000 +0100
++++ GBrowse-2.03/install_util/GBrowseInstall.pm 2010-11-27 12:02:15.000000000 +0100
+@@ -436,8 +436,8 @@
+ $self->ownership_warning($databases,$user);
+ }
+
+- chmod 0755,File::Spec->catfile($self->install_path->{'etc'},'init.d','gbrowse-slave');
+- $self->fix_selinux;
++ # chmod 0755,File::Spec->catfile($self->install_path->{'etc'},'init.d','gbrowse-slave');
++ # $self->fix_selinux;
+
+ my $base = basename($self->install_path->{htdocs});
+
diff --git a/sci-biology/gbrowse/files/gbrowse-slave.default b/sci-biology/gbrowse/files/gbrowse-slave.default
new file mode 100755
index 000000000..46457c2dc
--- /dev/null
+++ b/sci-biology/gbrowse/files/gbrowse-slave.default
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+export PERL5LIB=$PERL5LIB
+
+DAEMON=$INSTALLSCRIPT/gbrowse_slave
+USER=$WWWUSER
+PRELOAD=$CONF/slave_preload.conf
+RUNDIR=/var/run/gbrowse
+LOGDIR=/var/log/gbrowse
+PORT="8101 8102 8103"
+VERBOSITY=3
+NICE=0
diff --git a/sci-biology/gbrowse/files/gbrowse-slave.init.d b/sci-biology/gbrowse/files/gbrowse-slave.init.d
new file mode 100755
index 000000000..c298faf3c
--- /dev/null
+++ b/sci-biology/gbrowse/files/gbrowse-slave.init.d
@@ -0,0 +1,94 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides: gbrowse_slave
+# Required-Start: $local_fs
+# Required-Stop: $local_fs
+# Default-Start: 28
+# Default-Stop: S
+# Short-Description: Start/Stop the gbrowse_slave rendering server.
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=$INSTALLSCRIPT/gbrowse_slave
+NAME="gbrowse-slave"
+DESC="GBrowse slave track rendering server"
+
+test -x $DAEMON || exit 0
+set -e
+
+USER=$WWWUSER
+PRELOAD=""
+RUNDIR=/var/run/gbrowse
+LOGDIR=/var/log/gbrowse
+PORT='8101'
+VERBOSITY=1
+NICE=0
+
+if [ -f /etc/default/gbrowse-slave ]; then
+ . /etc/default/gbrowse-slave
+fi
+
+mkdir -p $RUNDIR
+chown -R $USER $RUNDIR
+mkdir -p $LOGDIR
+chown -R $USER $LOGDIR
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME "
+ for port in $PORT; do
+ if test -e $RUNDIR/$NAME.$port.pid ; then
+ echo "$NAME already running, use restart instead."
+ else
+ PRELOAD_DB=""
+ if [ "$PRELOAD" != "" ]; then
+ PRELOAD_DB="--preload $PRELOAD"
+ fi
+ ARGS="--port $port --verbose $VERBOSITY --log $LOGDIR/gbrowse_slave --pid $RUNDIR/$NAME.$port.pid $PRELOAD_DB"
+ su $USER -s /bin/sh -c "nice -n $NICE $DAEMON $ARGS"
+ echo -n "$port "
+ fi
+ done
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME "
+ killed=0
+ for port in $PORT; do
+ if test -e $RUNDIR/$NAME.$port.pid ; then
+ kill -TERM `cat $RUNDIR/$NAME.$port.pid`
+ killed=1
+ fi
+ echo -n "$port "
+ done
+ if [ "$killed" -ne 1 ]; then
+ base=`basename $DAEMON`
+ killall -q -r $base || true
+ fi
+ echo "."
+ ;;
+ status)
+ for port in $PORT; do
+ if test -e $RUNDIR/$NAME.$port.pid ; then
+ kill -0 `cat $RUNDIR/$NAME.$port.pid`
+ if [ "$?" -eq 0 ]; then
+ echo "$NAME is running on port $port."
+ fi
+ else
+ echo "$NAME is not running on port $port."
+ fi
+ done
+ ;;
+ restart|force-reload)
+ $0 stop
+ sleep 3
+ $0 start
+ ;;
+ *)
+ N=/etc/init.d/$NAME
+ echo "Usage: $N {start|stop|restart|force-reload|status}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0
diff --git a/sci-biology/gbrowse/files/gbrowse.conf.vhosts.d b/sci-biology/gbrowse/files/gbrowse.conf.vhosts.d
new file mode 100644
index 000000000..a3966ea19
--- /dev/null
+++ b/sci-biology/gbrowse/files/gbrowse.conf.vhosts.d
@@ -0,0 +1,26 @@
+ScriptAlias /gbrowse/cgi-bin/gbrowse "/var/www/localhost/htdocs/gbrowse/cgi-bin/gbrowse"
+ScriptAlias /gbrowse/cgi-bin/ "/var/www/localhost/htdocs/gbrowse/cgi-bin/"
+
+<Directory "/var/www/localhost/htdocs/gbrowse/cgi-bin/">
+ Options ExecCGI
+ AllowOverride None
+ <IfModule mod_access.c>
+ Order allow,deny
+ Allow from all
+ </IfModule>
+</Directory>
+
+Alias /gbrowse/i "/var/www/localhost/htdocs/gbrowse/images"
+Alias /gbrowse "/var/www/localhost/htdocs/gbrowse"
+Alias /gbrowse2 "/var/www/localhost/htdocs/gbrowse"
+
+<Directory "/var/www/localhost/htdocs/gbrowse">
+ Options FollowSymlinks
+ AllowOverride None
+ <IfModule mod_access.c>
+ Order allow,deny
+ Allow from all
+ </IfModule>
+</Directory>
+
+